/* Update Part And Particle v1.0 to v1.1 */
/*                                       */
/*          1994 Carmen Rizzolo         */
/*                                       */

Options Results
Address Command
Quote = "'"

Say
Say

If Exists('OpalPaint:Rexx/PAP1.oprx') = 0 Then Do
	Say 'I cannot seem to find the Part And Particle v1 file!'
	If Exists('Rexx:PAP1.oprx') = 0 Then Do
		Say 'Nope.  Definently not there.  Exiting...'
		Exit
		End
	End

If Exists('OpalPaint:Rexx/PAP1.oprx') = 1 Then Say 'PAP1.oprx found in OpalPaint:Rexx/'
If Exists('Rexx:PAP1.oprx') = 1 & Exists('OpalPaint:Rexx/PAP1.oprx') = 0 Then Say 'Okay, there it is... In Rexx:'

If Exists('OpalPaint:Rexx/PAP1.oprx') = 1 Then PAPDir = 'OpalPaint:Rexx/'
Else If Exists('Rexx:PAP1.oprx') = 1 Then PAPDir = 'Rexx:'

Say
Say
Say 'WARNING!  Your PAP1.oprx file MUST be the original, unmodified file'
Say 'that came from your PAP installation.  Shall I continue? (y/n)'
Pull YesNo

If UPPER(Left(YesNo,1)) ~= 'Y' Then Do
	Say
	Say 'Operation aborted.. Have a nice day.'
	Exit
	End

Say
Say
Say 'Stand By: Upgrading...'

'Copy ' || PAPDir || 'PAP1.oprx Ram: Quiet'

Call Open('PAP1File','Ram:PAP1.oprx','r')

Do A = 1 to 348
	AA = ReadLn('PAP1File')
	End

If Right(AA,25) ~= '"Part And Particle v1.0"' || Quote Then Do
	Say 'FATAL ERROR!  It appears that this is NOT Part And Particle'
	Say 'version 1.0!  Either that or the file has been modified.'
	Say 'Please re-install Part And Particle from the original disks'
	Say 'before trying this script again.  Exiting...'
	Exit
	End

Call Open('PAP1File','Ram:PAP1.oprx','r')
Call Open('PAP11File','Ram:PAP11.oprx','w')

Call WriteLn('PAP11File','/*                        */')
Call WriteLn('PAP11File','/* Part and Particle v1.1 */')
Call WriteLn('PAP11File','/*                        */')
Call WriteLn('PAP11File','/*  1994 Carmen Rizzolo  */')
Call WriteLn('PAP11File','/*                        */')
Call WriteLn('PAP11File','/*                        */')

Do A = 1 to 6
	AA = ReadLn('PAP1File')
	End

Do A = 1 to 225
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

AA = ReadLn('PAP1File')
NewLine = '                  If MainLoop > StartFrame Then Do'
Call WriteLn('PAP11File',NewLine)

Do A = 1 to 20
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '                         If MainLoop > StartFrame Then Do'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               If ModuleMode = 1 Then Call DoParticles()'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               If ModuleMode = 4 Then Call DoParticles()'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               If ModuleMode = 5 Then Call DoParticles()'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               If ModuleMode = 6 Then Call DoParticles()'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               If ModuleMode = 7 Then Call DoParticles()'
Call WriteLn('PAP11File',NewLine)
NewLine = '                               End'
Call WriteLn('PAP11File',NewLine)

Do A = 1 to 5
	AA = ReadLn('PAP1File')
	End

Do A = 1 to 6
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '                  If MainLoop > StartFrame Then Call PrepParticlesForDraw()'
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')

Do A = 1 to 83
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '      AddHeading ' || Quote || 'CenterX 20 "Part And Particle v1.1"' || Quote
Call WriteLn('PAP11File',NewLine)
NewLine = '      AddHeading ' || Quote || 'CenterX 30 "1994 Carmen Rizzolo"' || Quote
Call WriteLn('PAP11File',NewLine)
NewLine = '      AddHeading ' || Quote || 'CenterX 45 "an Arexx script for OpalPaint v2.3 or higher"' || Quote
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')
Call ReadLn('PAP1File')
Call ReadLn('PAP1File')

Do A = 1 to 1969
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '      Do AA = StartFrame to MainLoop'
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')

Do A = 1 to 17
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '            Do AA = StartFrame to FirstOne'
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')

Do A = 1 to 46
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '      Do AA = StartFrame to (MainLoop - 1)'
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')

Do A = 1 to 17
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

NewLine = '            Do AA = StartFrame to FirstOne'
Call WriteLn('PAP11File',NewLine)
Call ReadLn('PAP1File')

Do A = 1 to 1769
	AA = ReadLn('PAP1File')
	Call WriteLn('PAP11File',AA)
	End

Call Close('PAP1File')
Call Close('PAP11File')

Say '...done'

If Exists('OpalPaint:Rexx/') = 1 Then 'Copy Ram:PAP11.oprx ' || PAPDir || ' QUIET'

Delete 'Ram:PAP1.oprx Quiet'
Delete 'Ram:PAP11.oprx Quiet'

Say
Say 'Operation complete!'
Say 'PAP11.oprx (Part And Particle v1.1) is now in your'
Say PAPDir || ' directory.'
Say
Say 'Exiting...'

Exit
